## com.fusioncharts.sampledata
Class MSFactoriesData

    java.lang.Object
      com.fusioncharts.sampledata.MSFactoriesData

    public class MSFactoriesData

extends java.lang.Object

Author:
  InfoSoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `useSingleQuotes`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`MSFactoriesData()`

Method Summary
`private void` `buildCategoriesXML(org.w3c.dom.Document chartDoc, org.w3c.dom.Element rootElement, java.sql.ResultSet categoriesResultSet)` Build the xml for the categories
`private void` `buildDatasetXML(org.w3c.dom.Document chartDoc, org.w3c.dom.Element rootElement, java.sql.ResultSet datasetResultSet)` Build the xml for datasets
`java.lang.String` `getChartId()`
`private java.lang.String` `getFactoryXML()` The xml containing the details of output for each factory
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getUseSingleQuotes()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setUseSingleQuotes(java.lang.String useSingleQuotes)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartId

    protected java.lang.String chartId

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### xml

    protected java.lang.String xml

### useSingleQuotes

    protected java.lang.String useSingleQuotes

Constructor Detail

### MSFactoriesData

    public MSFactoriesData()

Method Detail

### buildCategoriesXML

    private void buildCategoriesXML(org.w3c.dom.Document chartDoc,
                                    org.w3c.dom.Element rootElement,
                                    java.sql.ResultSet categoriesResultSet)
                             throws java.sql.SQLException

  Build the xml for the categories

  Parameters:
    `chartDoc` -
    `rootElement` -
    `categoriesResultSet` -
  Throws:
    `java.sql.SQLException`

### buildDatasetXML

    private void buildDatasetXML(org.w3c.dom.Document chartDoc,
                                 org.w3c.dom.Element rootElement,
                                 java.sql.ResultSet datasetResultSet)
                          throws java.sql.SQLException

  Build the xml for datasets

  Parameters:
    `chartDoc` -
    `rootElement` -
    `datasetResultSet` -
  Throws:
    `java.sql.SQLException`

### getChartId

    public java.lang.String getChartId()

  Returns:

### getFactoryXML

    private java.lang.String getFactoryXML()

  The xml containing the details of output for each factory

  Returns:
    String - the xml for this chart

### getFilename

    public java.lang.String getFilename()

  Returns:

### getHeight

    public java.lang.String getHeight()

  Returns:

### getUseSingleQuotes

    public java.lang.String getUseSingleQuotes()

  Returns:

### getWidth

    public java.lang.String getWidth()

  Returns:

### getXml

    public java.lang.String getXml()

  Returns:

### setChartId

    public void setChartId(java.lang.String chartId)

  Parameters:
    `chartId` -

### setFilename

    public void setFilename(java.lang.String filename)

  Parameters:
    `filename` -

### setHeight

    public void setHeight(java.lang.String height)

  Parameters:
    `height` -

### setUseSingleQuotes

    public void setUseSingleQuotes(java.lang.String useSingleQuotes)

  Parameters:
    `useSingleQuotes` -

### setWidth

    public void setWidth(java.lang.String width)

  Parameters:
    `width` -

### setXml

    public void setXml(java.lang.String xml)

  Parameters:
    `xml` -